##    Licensed to the Apache Software Foundation (ASF) under one or more
##    contributor license agreements.  See the NOTICE file distributed with
##    this work for additional information regarding copyright ownership.
##    The ASF licenses this file to You under the Apache License, Version 2.0
##    (the "License"); you may not use this file except in compliance with
##    the License.  You may obtain a copy of the License at
##
##       http://www.apache.org/licenses/LICENSE-2.0
##
##    Unless required by applicable law or agreed to in writing, software
##    distributed under the License is distributed on an "AS IS" BASIS,
##    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
##    See the License for the specific language governing permissions and
##    limitations under the License.

# Each SQL statement in this file should terminate with a semicolon (;)
# Lines starting with the pound character (#) are considered as comments
-- DROP TABLE OWNER_TABLE;
-- DROP TABLE DATACD_TABLE;
-- DROP TABLE OPENJPASEQ;

CREATE TABLE OWNER_TABLE (
	USERNAME VARCHAR(20) NOT NULL,
	PASSWORD VARCHAR(20) NOT NULL,
	PRIMARY KEY (USERNAME)
) ENGINE=InnoDB;

CREATE TABLE DATACD_TABLE (
	CDID INT NOT NULL,
	CDARCHIVEDATE DATETIME,
	CDDESC VARCHAR(255),
	CDLABEL VARCHAR(255) NOT NULL,
	CDSIZE INT,
	OWNER_USERNAME VARCHAR(255),
	PRIMARY KEY (CDID)
) ENGINE=InnoDB;

CREATE INDEX I_DTCDTBL_OWNER ON DATACD_TABLE (OWNER_USERNAME ASC);

CREATE TABLE OPENJPASEQ (
	ID TINYINT NOT NULL,
	SEQUENCE_VALUE BIGINT,
	PRIMARY KEY (ID)
) ENGINE=InnoDB;







